@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Thai&display=swap');

* {
    font-family: "Noto Sans Thai", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

body {
    margin: 0px;
}

div {
    /*margin: 2px; */
    padding: 6px;
    /*border: 1px solid lightgray;*/
}

.app-window {
    width: 100%;
    margin: 0px;
    padding: 0px;
}

.footer {
    position: fixed;
    bottom: 0;
    font-size: 60%;
}

.loading, .logo {
    width: 35px;
    height: auto;  
}

.icon {
    width: 50px;
    height: auto;
}

.display-inline {
    width: 100%;
}

.display-inline > div {
    display: inline-block;
}

.display-block {
    display: block;
}

.app-titleBar {
    padding: 4px;
    color: white;
    background-color: #4f585e;
    /*box-shadow: 5px 5px 20px #888888;*/
}

.minor-title {
    font-size: medium;
    font-weight: bold;
}

.service-menu {
    padding: 10px;
    /*color: white;*/
    background-color: #9fd6e0;
    display: block;
}

.service-menu-button {
    padding: 10px;
    color: white;
    background-color: #033860;
    display: block;
    width: fit-content;
}

.app-header {
    background-color: #e3f4f7;
    padding: 0px;
}

.app-content {
    padding: 0px;
    height: 100%;
}

.pane {
    padding: 12px 0px 0px 0px;
    /*border: 1px solid #033860;*/
}

.pane-body {
    padding: 0px;
}

.pane-body-2 {
    padding: 5px 0px 5px 0px;
}

.hash-code-input {
    font-size: 24px;
    width: 120px;
    padding: 6px;
}

.add-button {
    border-radius: 5px;
    background-color: #031a6b;
    color: white;
    cursor:pointer;
    align-content: center;
}

.login-button {
    background: #a91d3a;
    color: #FFFFFF;
    cursor: pointer;
    text-decoration: none;
    padding: 4px 15px;
    margin: 5px;
    width: 120px;
    text-align: center;
}

.button {
    background: #9fd6e0;
    /*color: #FFFFFF;*/
    cursor: pointer;
    text-decoration: none;
    padding: 4px 15px;
    margin: 5px;
    width: 120px;
    text-align: center;
}

.button-2 {
    background: #4f585e;
    color: #FFFFFF;
    cursor: pointer;
    text-decoration: none;
    padding: 4px 15px;
    margin: 5px;
    width: 120px;
    text-align: center;
}


.button-level2 {
    background: #4f585e;
    color: #FFFFFF;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    /*padding: 4px 15px;*/
    padding: 8px;
    margin: 5px;
    width: 120px;
    text-align: center;
    font-weight: bold;
}

.button-level3 {
    background: #176b87;
    border-radius: 15px;
    /*color: #031a6b;*/
    cursor: pointer;
    text-decoration: none;
    padding: 8px;
    margin: 5px;
    width: 120px;
    height: 40px;
    text-align: center;
    font-weight: bolder;
}

.button-level3-pick {
    background: #a91d3a;
    border-radius: 15px;
    color: #031a6b;
    cursor: pointer;
    text-decoration: none;
    padding: 8px;
    margin: 5px;
    width: 120px;
    height: 40px;
    text-align: center;
    font-weight: bolder;
}

.round-icon-button {
    background: #a91d3a;
    color: #FFFFFF;
    font-weight: bold;
    cursor: pointer;
    text-decoration: none;
    padding: 4px;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    text-align: center;
}

.button-width {
    width: 124px;
}

.login-text {
    background: #9fd6e0;
}

.alert-text {
    background: #9fd6e0;
}

.error-text{
    background: #f2fbfd;
    color: #ff3131;
}

.info-text {
    background: #9fd6e0;
    height: 30px;
}

.alert-message {
    color: white;
    background: #4f585e;
    border-radius: 25px;
    text-align: center;
    width: 350px;
    height: 25px;
}

.student-card, [id^="hashcode"] {
    background: #9fd6e0;
    border-radius: 5px;
    border: 1px solid #9fd6e0;
    color: #4f585e;
    cursor: pointer;
    text-decoration: none;
    padding: 10px;
    margin: 10px;
    width: auto;
    text-align: center;
}

.student-card-pick {
    background: #176b87;
    border-radius: 5px;
    /*color: white;
    border: 1px solid #176b87;*/
    padding: 10px;
    margin: 10px 0px 0px 10px;
    /*width: auto;*/
    width: 350px; 
    text-align: center;
    text-decoration: none;
    font-size: 20px;
}


.text-bolder {
    font-weight: bolder;
}

[id^="hashcode"].clicked {
    background: #176b87;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    text-decoration: none;
    padding: 10px;
    margin: 10px;
    width: auto;
    text-align: center;
}

.action-panel {
    background: #e3f4f7;
}

.align-v {
    display: flex;
    align-items: center;
}

.align-v-right {
    display: flex;
    justify-content: right;
    align-items: center;
}

.align-vh {
    display: flex;
    justify-content: center;
    align-items: center;
}

.pickup-status {
    color : #4f585e;
    margin: 40px;
    padding: 15px;
    border-radius: 15px;
    text-align: center;
    height: 120px; 
}

.selected-student {
    background: #176b87;
    color: white;
    /*text-align: center;*/
    height: 70px;
    border: 0px; 
    overflow: auto;
}

.status-text {
    font-weight: bold;
    font-size: 0.75em;
}

.status-distance {
    font-weight: bold;
    font-size: 2.5em;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;  
}

/*Staff*/
.pick-container {
    display: flex;
    flex-wrap: wrap;
}


/*Admin*/
.menu-container {
    margin-left: 10px;
    margin-bottom: 20px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.admin-app-icon {
    /*margin: 5px;*/
    width: 100px;
    height: 100px;
    padding: 5px;
    background: #167B87;
    color: white;
    /*border: 1px solid #000000;*/
    border-radius: 15px;
    text-align: center;
    cursor: pointer;
}

table {
    /*margin: 10px; */
    border: 0px;
    border-collapse: collapse;
}

tr {
    padding: 10px;
    border: 1px solid white;
    border-collapse: collapse;
}

th {
    padding: 10px;
    border: 0px;
    border-collapse: collapse;
    background-color: #9fd6e0;
}

td {
    padding: 10px;
    border: 0px;
    border-collapse: collapse;
    background-color: #e3f4f7;
}